---
title: New Window
slug: Web/WebDriver/Commands/New_Window
---
<p>The <em>New Window</em> <a href="/en-US/Web/WebDriver/Commands">command</a> of the <a href="/en-US/docs/Web/WebDriver">WebDriver</a> API opens a new top-level browsing context of type <em>window</em> or <em>tab</em>, and returns with a dictionary containing the <em>handle </em>of the new <a href="/en-US/docs/Web/WebDriver/WebWindow">WebWindow</a> and its created <em>type</em>. If the requested <em>type</em> cannot be created by the browser, the alternative type will be tried to create.</p>

<h2 id="Syntax">Syntax</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Method</th>
   <th scope="col">URI template</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td><code><a href="/en-US/docs/Web/HTTP/Methods/DELETE">POST</a></code></td>
   <td><code>/session/{<em>session id</em>}/window/new</code></td>
  </tr>
 </tbody>
</table>

<h3 id="URL_parameters">URL parameters</h3>

<dl>
 <dt><code>session id</code></dt>
 <dd>Identifier of the session.</dd>
</dl>

<h3 id="Payload">Payload</h3>

<p>The input is an object:</p>

<dl>
 <dt><code>type</code></dt>
 <dd>Requested type of top-level browsing context.</dd>
</dl>

<h3 id="Response">Response</h3>

<p>The response payload is an object:</p>

<dl>
 <dt>handle</dt>
 <dd>The handle of the new <a href="/en-US/docs/Web/WebDriver/WebWindow">WebWindow.</a></dd>
 <dt>type</dt>
 <dd>The created type of top-level browsing context.</dd>
</dl>

<h3 id="Errors">Errors</h3>

<dl>
 <dt><a href="/en-US/docs/Web/WebDriver/Errors/InvalidSessionID">Invalid session ID</a></dt>
 <dd>Session does not exist.</dd>
 <dt><a href="/en-US/docs/Web/WebDriver/Errors/NoSuchWindow">No such window</a></dt>
 <dd>If the <code><a href="/en-US/docs/Web/API/Window">window</a></code> has been closed.</dd>
 <dt><a href="/en-US/docs/Web/WebDriver/Errors/UnexpectedAlertOpen">Unexpected alert open</a></dt>
 <dd>A user prompt, such as <code><a href="/en-US/docs/Web/API/Window/alert">window.alert</a></code>, blocks execution of command until it is dealt with.</dd>
</dl>

<dl>
 <dt><a href="/en-US/docs/Web/WebDriver/Errors/UnsupportedOperation">Unsupported Operation</a></dt>
 <dd>The driver or browser doesn't support the command for some reason, eg. when it is not possible to create a new tab nor window.</dd>
</dl>

<h2 id="Example">Example</h2>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebDriver", "#dfn-new-window", "New_Window")}}</td>
   <td>{{Spec2("WebDriver")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("webdriver.commands.NewWindow")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/WebDriver/Commands/CloseWindow">Close Window</a> command</li>
</ul>

